4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.CopyElement

Implementation of the XSLT Spec copy stylesheet element. WWW: http://4suite.org/4XSLT e-mail: support@4suite.org

    Copyright (c) 1999-2001 Fourthought Inc, USA.   All Rights Reserved.
    See  http://4suite.org/COPYRIGHT  for license and copyright information

Classes: CopyElement |  |  |  | Globals: EMPTY_NAMESPACE, NAMESPACE_NODE, XMLNS_NAMESPACE, XSL_NAMESPACE

## Classes

class CopyElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members

  category = 0
  content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
  legalAttrs = {'use-attribute-sets': <Ft.Xml.Xslt.AttributeInfo.QNames instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root

## Globals

EMPTY_NAMESPACE = None
NAMESPACE_NODE = 13
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'